<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
    <title>Hello, world!</title>
  </head>
  <body>
    <div class="container">
      <div class="row justify-content-center margin-top">
        <div class="col-4 border border-radius">
          <div class="row cal-margin">
            <div class="col border border-radius padding text-align-right" id="result">
              &ensp;
            </div>
            <div class="w-100"></div>
            <div class="col">
              <div class="row" style="margin: 2%;">
                <div class="col">
                  <button type="button" class="btn btn-danger" onclick="clearScreen()" style="width: 100%;">Clear</button>
                </div>
                <div class="w-100"></div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(7)">7</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(8)">8</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(9)">9</button>
                </div>
                <div class="col-3">
                  <div>
                    <button type="button" class="btn btn-primary" onclick="addElement(' ÷ ')">÷</button>
                  </div>
                </div>
                <div class="w-100"></div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(4)">4</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(5)">5</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(6)">6</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-primary" onclick="addElement(' x ')">x</button>
                </div>
                <div class="w-100"></div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(1)">1</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(2)">2</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(3)">3</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-primary" onclick="addElement(' - ')">-</button>
                </div>
                <div class="w-100"></div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement(0)">0</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-secondary" onclick="addElement('.')">.</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-success" onclick="calculate()">=</button>
                </div>
                <div class="col-3">
                  <button type="button" class="btn btn-primary" onclick="addElement(' + ')">+</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="calculator.js"></script>
  </body>
</html>